// Copyright (C) 2024 The Qt Company Ltd.
// SPDX-License-Identifier: LicenseRef-Qt-Commercial OR GFDL-1.3-no-invariants-only

#include "car.h"

/*!
    \module TestCar
    \since 6.6.6
    \qtvariable testcar
    \qtcmakepackage TestCar
*/

/*!
    \module TestCarPrivate
    \since 6.6.6
    \qtvariable testcar-private
    \qtcmakepackage TestCar
    \qtcmaketargetitem TestCarPrivate
*/

/*!
    \class Car
    \inmodule TestCar
    \brief Represents a model of a car.
*/

/*!
    \class Engine
    \inmodule TestCarPrivate
    \brief Represents a model of an engine.
*/

/*!
    \fn void Car::drive()
    \brief Drives the car.
*/

/*!
    \fn void Engine::start()
    \brief Starts the engine.
*/

/*!
    \fn void Engine::stop()
    \brief Stops the engine.
*/
